<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>IvyModuleDescriptor (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="IvyModuleDescriptor (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/ivy/IvyExtraInfo.html" title="interface in org.gradle.api.artifacts.ivy"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/ivy/IvyModuleDescriptor.html" target="_top">Frames</a></li>
<li><a href="IvyModuleDescriptor.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts.ivy</div>
<h2 title="Interface IvyModuleDescriptor" class="title">Interface IvyModuleDescriptor</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">IvyModuleDescriptor</span></pre>
<div class="block">The metadata about an Ivy module that acts as an input to a component metadata rule.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/ivy/IvyModuleDescriptor.html#getBranch()">getBranch</a></strong>()</code>
<div class="block">Returns the branch attribute of the info element in this descriptor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/ivy/IvyExtraInfo.html" title="interface in org.gradle.api.artifacts.ivy">IvyExtraInfo</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/ivy/IvyModuleDescriptor.html#getExtraInfo()">getExtraInfo</a></strong>()</code>
<div class="block">Returns an <a href="../../../../../org/gradle/api/artifacts/ivy/IvyExtraInfo.html" title="interface in org.gradle.api.artifacts.ivy"><code>IvyExtraInfo</code></a> representing the "extra" info declared
 in this descriptor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/ivy/IvyModuleDescriptor.html#getIvyStatus()">getIvyStatus</a></strong>()</code>
<div class="block">Returns the status attribute of the info element in this descriptor.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBranch()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBranch</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getBranch()</pre>
<div class="block">Returns the branch attribute of the info element in this descriptor.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the branch for this descriptor, or null if no branch was declared in the descriptor.</dd></dl>
</li>
</ul>
<a name="getIvyStatus()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIvyStatus</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getIvyStatus()</pre>
<div class="block">Returns the status attribute of the info element in this descriptor.  Note that this <i>always</i> represents
 the status from the ivy.xml for this module.  It is not affected by changes to the status made via
 the <a href="../../../../../org/gradle/api/artifacts/ComponentMetadataDetails.html" title="interface in org.gradle.api.artifacts"><code>ComponentMetadataDetails</code></a> interface in a component metadata rule.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the status for this descriptor</dd></dl>
</li>
</ul>
<a name="getExtraInfo()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getExtraInfo</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/ivy/IvyExtraInfo.html" title="interface in org.gradle.api.artifacts.ivy">IvyExtraInfo</a>&nbsp;getExtraInfo()</pre>
<div class="block">Returns an <a href="../../../../../org/gradle/api/artifacts/ivy/IvyExtraInfo.html" title="interface in org.gradle.api.artifacts.ivy"><code>IvyExtraInfo</code></a> representing the "extra" info declared
 in this descriptor.
 <p>
 The extra info is the set of all non-standard subelements of the <em>info</em> element.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>an <a href="../../../../../org/gradle/api/artifacts/ivy/IvyExtraInfo.html" title="interface in org.gradle.api.artifacts.ivy"><code>IvyExtraInfo</code></a> representing the extra info declared in this descriptor</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/ivy/IvyExtraInfo.html" title="interface in org.gradle.api.artifacts.ivy"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/ivy/IvyModuleDescriptor.html" target="_top">Frames</a></li>
<li><a href="IvyModuleDescriptor.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
